part of tecfy_core_client_package;

class MenuItem extends BaseModel {
  /// title string
  @required
  String title;

  /// menu sort field
  @required
  int orderId;

  Function(BuildContext)? onClick;
  List<MenuItem>? subMenuItems;

  MenuItem(
      {required this.title,
      required this.orderId,
      this.onClick,
      this.subMenuItems});

  @override
  String get displayName => title;

  @override
  String get idValue => title;
}
